<table class="ui celled table" [ngClass]="{'selectable': options.selectable, 'definition': options.multi}">
  <thead class="full-width">
  <tr *ngIf="headers.length">
    <th *ngIf="options.multi">
      <div class="ui fitted checkbox">
        <input type="checkbox" [(ngModel)]="toggle" (change)="toggleAll()"><label></label>
      </div>
    </th>
    <th *ngFor="let header of headers">{{header.libelle}}</th>
  </tr>
  </thead>
  <tbody>
  <tr *ngIf="!data.length" class="center aligned">
    <td [attr.colspan]="headers.length || 1"><i>Aucune données</i></td>
  </tr>
  <ng-container *ngIf="data.length">
    <tr *ngFor="let line of dataPaged.slice((activePage-1)*options.resultPerPage.selected, (activePage-1)*options.resultPerPage.selected+options.resultPerPage.selected)"
        [ngClass]="{'selectable-row': options.selectable}">
      <td class="collapsing" *ngIf="options.multi">
        <div class="ui fitted checkbox">
          <input type="checkbox" [(ngModel)]="line._select" (change)="reloadNumRowSelect();multiSelectRow();"><label></label>
        </div>
      </td>
      <td (click)="onSelectRow.emit(line)" *ngFor="let header of headers">{{line[header.key]}}</td>
    </tr>
  </ng-container>
  </tbody>
  <tfoot class="full-width">
  <tr *ngIf="data.length">
    <th *ngIf="options.multi" class="center aligned">{{numRowSelect || ''}}</th>
    <th [attr.colspan]="headers.length">
      <div class="ui right floated pagination menu">
        <a class="icon item" (click)="gotoFirstPage()">
          <i class="angle double left icon"></i>
        </a>
        <a class="icon item" (click)="gotoPreviousPage()">
          <i class="angle left icon"></i>
        </a>
        <ng-container *ngFor="let number of pages">
          <a *ngIf="activePage >= (number - 2) && activePage <= (number + 2)"
             (click)="activePage = number"
             [ngClass]="{'active': activePage === number}"
             class="item">{{number}}</a>
        </ng-container>
        <a class="icon item" (click)="gotoNextPage()">
          <i class="angle right icon"></i>
        </a>
        <a class="icon item" (click)="gotoLastPage()">
          <i class="angle double right icon"></i>
        </a>
      </div>
      <div class="number row" *ngIf="options.resultPerPage.display">
        <span>Résultat par page : </span>
        <div class="ui inline dropdown" [ngClass]="{'disabled': options.resultPerPage.locked}">
          <div class="text">{{options.resultPerPage.selected}}</div>
          <i class="dropdown icon"></i>
          <div class="menu">
            <div *ngFor="let nb of options.resultPerPage.choices"
                 class="item"
                 [ngClass]="{'active': nb === options.resultPerPage.selected}"
                 (click)="reloadTable(nb)">{{nb}}
            </div>
          </div>
        </div>
      </div>
    </th>
  </tr>
  </tfoot>
</table>